import { WidgetModel } from '@jupyter-widgets/base';
import { ISerializers } from 'jupyter-dataserializers';
export declare class VtkWidgetModel extends WidgetModel {
    defaults(): {
        _model_module: string;
        _model_module_version: string;
        _view_module: string;
        _view_module_version: string;
        _model_name: string;
        _view_name: any;
        _view_count: any;
    };
    initialize(attributes: any, options: {
        model_id: string;
        comm?: any;
        widget_manager: any;
    }): void;
    onChange(model: VtkWidgetModel, options: any): void;
    onChildChanged(model: VtkWidgetModel, options: any): void;
    setupListeners(): void;
    setupNestedKeys(): void;
    nestedKeys: string[];
    dataWidgetKeys: string[];
    static serializers: ISerializers;
}
